Subject: Re: Bug in od, cat, etc reading binary files
From: [email-masked] (justin.)

29 Sep 1997 18:48:19 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

[email-masked] wrote:

> Hi..
>
> >The cygwin32 isn't for compatibility with NT it is to provide a
> >mechanism for which those things that aren't can be ported to the win32
> >environment.
>
> But for what reason?  If you can't use these things with the rest of the
> NT world, then what is the point?  Why not just run them in the Unix world
> where they are happier anyhow?
>

So you can run your NT programs comfortably and some Unix programs and not
have to entirely switch operating systems which would be more productivity
lost than you would gain by switching to a Unix flavored OS.  Everything
doesnt have to be one sided. I dont agree with your little mindframe.

> >Because of this the cygwin32 layer must try to be
> >compatible to both worlds (which it does, nicely).  The problem isn't
> >cygwin32 it is the lack of tools ported without modification for binary
> >versus text that is the problem.  Therefore remaining in the binary
> >format is not an alternative it becomes necessary.
>
> Yes, well, if the requirements are that you must run some Unix programs on
> NT without modification, then using cygwin32 and binary mounts may be the
> solution.  However, I believe that the problem may need to be reconsidered
> because without the additional requirement of interoperability with the NT
> world, why require that it run on NT in the first place?  Just for the
> fun of it?
>

So you can have more power under a single OS without having to sacrafice time
and money.
Are you telling me, when i want to write a spreadsheet, i boot to nt, and when
i want to use something unix, switch there, and juggle that forever?

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".